package hu.elte.teszteszkozok.gyak3.dependent;

import java.util.List;

public class Summarizer {

    private final int multiplier;

    private final Transformer<Hero, Integer> transformer = new HeroToPowerTransformer();

    public Summarizer(int multiplier) {
        this.multiplier = multiplier;
    }

    public int sum(List<Hero> heroes) {
        int sum = 0;
        for (Hero hero : heroes) {
            sum += multiplier * transformer.transform(hero);
        }
        return sum;
    }
}
