package hu.elte.teszteszkozok.gyak3.tankos;

import hu.elte.teszteszkozok.gyak3.tankos.egysegek.Aknavetos;
import hu.elte.teszteszkozok.gyak3.tankos.egysegek.HarciEgyseg;
import hu.elte.teszteszkozok.gyak3.tankos.egysegek.Szuronyos;
import hu.elte.teszteszkozok.gyak3.tankos.egysegek.Tank;
import java.util.*;

public class Main {

    public static void main(String[] args) {
        List<HarciEgyseg> egysegek = new ArrayList<>();

        egysegek.add(new Tank());

        for (int i = 0; i < 200; i++) {
            egysegek.add(new Szuronyos());
        }

        for (int i = 0; i < 50; i++) {
            egysegek.add(new Aknavetos());
        }

        haboru(egysegek);
    }

    private static void haboru(List<HarciEgyseg> egysegek) {
        Random random = new Random();
        while (egysegek.size() > 1) {
            HarciEgyseg tamado = egysegek.get(random.nextInt(egysegek.size()));
            HarciEgyseg aldozat = egysegek.get(random.nextInt(egysegek.size()));

            if (tamado == aldozat) {
                continue;
            }

            tamado.tamad(aldozat);
            if (!aldozat.elo()) {
                egysegek.remove(aldozat);
            }
        }

        System.out.println("Haboru vege. Gyoztes: " + egysegek.get(0));
    }

}
